#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>

#define PIDFILE "/var/run/test.pid"

static void set_pid_file(void)
{
    FILE *fd;

    fd = fopen(PIDFILE, "w+");
    if (!fd)
    {
        printf("Coud not open " PIDFILE " for writing!\n");
        return;
    }
    fprintf(fd, "%i", getpid());
    fclose(fd);
}

int main(int argc, char **argv)
{
    (void) argc;
    (void) argv;
    printf("This is a testing daemon, that will fork, and leave pid in "
           PIDFILE ". \n");


    if (fork() == 0)
    {
        printf("This is fork, pid %i\n", getpid());
        set_pid_file();
        close(0);
        close(1);
        close(2);
        sleep(100000);
        _exit(0);
    }

    sleep(1);
    printf("Fork launched!\n");
    return (0);
}
