
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef INITNG_PLUGIN_TYPE_H
#define INITNG_PLUGIN_TYPE_H
typedef enum
{
    NOPLUG,
    WATCHERS,
    PARSERS,
    SWATCHERS,
    FDWATCHERS,                 /* File descriptor watcher */
    PIPEWATCHERS,               /* stdout pipe watcher (for every process) */
    TIMERS,
    STARTL,
    STOPL,
    MAIN,
    A_FORK,
    HANDLE_KILLED
} e_ptype;

#endif
