
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef STATIC_DATA_ID_H
#define STATIC_DATA_ID_H
#include "initng_service_data_types.h"

/*extern s_entry NAME; */
extern s_entry USE;
extern s_entry NEED;
extern s_entry RESPAWN;
extern s_entry FROM_FILE;
extern s_entry ENV;
extern s_entry UP_WHEN_DONE;
extern s_entry UP_WHEN_PID_SET;
extern s_entry UP_WHEN_STARTED;
extern s_entry UP_WHEN_FAIL;



void initng_sdt_add_defaults(void);

#endif
