/* Initng, a next generatind sysvinit replacement.
 * Copyright (C) 2005 neuron <neuron@hollowtube.mine.nu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include "../../src/initng_control_command.h"

static void cmd_fast_reload(char *arg, FILE * fd);

extern s_command FAST_RELOAD;

/* this lines will the active contain */
typedef struct
{
    char name[200];
    e_a_status a_status;
    time_t time_got_status;

    /* variables */
    int m_needed;
    int m_rest;
    int up_when_running;
    int done_on_exit;

    /* start process */
    pid_t start_p_pid;
    int start_stdout1;
    int start_stdout2;
    /* stop process */
    pid_t stop_p_pid;
    int stop_stdout1;
    int stop_stdout2;
} data_save_struct;


int module_init(const char *version);
void module_unload(void);
