
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_PLUGIN_HOOK
#define INITNG_PLUGIN_HOOK

#include "initng_plugin_type.h"

void initng_del_hook_real(const char *from_file, const char *func, int line,
                          e_ptype t, void *hook);
int initng_add_hook_real(const char *from_file, e_ptype t, int order,
                         void *hook);
#define initng_add_hook(t,o,h) \
    initng_add_hook_real(__FILE__, t, o, h)
#define initng_del_hook(t,h) \
    initng_del_hook_real(__FILE__, __PRETTY_FUNCTION__, __LINE__, t, h)

#endif
